unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ExtDlgs;

type
  TFormMain = class(TForm)
    PanelTop: TPanel;
    ButtonSelectPicture: TButton;
    ScrollBoxClient: TScrollBox;
    Image: TImage;
    PanelBottom: TPanel;
    Memo: TMemo;
    OpenPictureDialog: TOpenPictureDialog;
    procedure ButtonSelectPictureClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses JPEG, ObrLib
{$ifdef CONDITIONALEXPRESSIONS}
  {$if CompilerVersion >= 30} // Delphi 10
    , GIFImg, PngImage
  {$ifend}
{$endif}
;

{$R *.dfm}

procedure TFormMain.ButtonSelectPictureClick(Sender: TObject);
var
  Barcodes: TDecodeResults;
  I: Integer;
begin
  Barcodes := nil; // to avoid warning
  
  with OpenPictureDialog do
    if Execute then
    begin
      Memo.Clear;
      Image.Picture.LoadFromFile(FileName);

      with TBarcodeDecoder.Create do
      try
        Barcodes := Decode(Image.Picture.Graphic);
        if Length(Barcodes) = 0 then
          Memo.Lines.Append('No barcode found')
        else
          for I := 0 to Length(Barcodes) - 1 do
            Memo.Lines.Append(Barcodes[I].FormatName + ': ' + Barcodes[I].Text);
      finally
        Free;
      end;
    end;
end;

end.
